### Function

# Shumate VectorValue new_string

since: 1.6

#### Declaration [src]

    ShumateVectorValue*
    shumate_vector_value_new_string (
      const char* string
    )

#### Description [src]

Creates a new `ShumateVectorValue` with a string value.

Available since: 1.6

#### Parameters

`string`

  Type: `const char*`

  A string value.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ShumateVectorValue`

A new `ShumateVectorValue` with the given string value.

The caller of the function takes ownership of the data, and is responsible for freeing it.